clang 10.0.0git

Public Member Functions | Friends | List of all members
clang::interp::CodePtr Class Reference

Pointer into the code segment. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/AST/Interp/Source.h"`

## Public Member Functions
| CodePtr ()
CodePtr & | operator+= (int32_t Offset)
int32_t | operator- (const CodePtr &RHS) const
CodePtr | operator- (size_t RHS) const
bool | operator!= (const CodePtr &RHS) const
template<typename T >
T | read ()
| Reads data and advances the pointer. More...

## Friends
class | Function

## Detailed Description

Pointer into the code segment.

Definition at line 25 of file Source.h.

## Constructor & Destructor Documentation

## ◆ CodePtr()

clang::interp::CodePtr::CodePtr | ( |  | ) |
| inline

Definition at line 27 of file Source.h.

Referenced by operator-(), and read().

## Member Function Documentation

## ◆ operator!=()

bool clang::interp::CodePtr::operator!= | ( | const CodePtr & | RHS | ) | const
| inline

Definition at line 44 of file Source.h.

## ◆ operator+=()

CodePtr& clang::interp::CodePtr::operator+= | ( | int32_t | Offset | ) |
| inline

Definition at line 29 of file Source.h.

References Offset.

## ◆ operator-() [1/2]

int32_t clang::interp::CodePtr::operator- | ( | const CodePtr & | RHS | ) | const
| inline

Definition at line 34 of file Source.h.

## ◆ operator-() [2/2]

CodePtr clang::interp::CodePtr::operator- | ( | size_t | RHS | ) | const
| inline

Definition at line 39 of file Source.h.

References CodePtr().

## ◆ read()

template<typename T >

T clang::interp::CodePtr::read | ( |  | ) |
| inline

Reads data and advances the pointer.

Definition at line 47 of file Source.h.

References CodePtr().

## Friends And Related Function Documentation

## ◆ Function

friend class Function
| friend

Definition at line 74 of file Source.h.

The documentation for this class was generated from the following file:

- lib/AST/Interp/Source.h